﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.Charts;

namespace RangeNavigator_Grid
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            RangeNavigator.ValueChanged += RangeNavigator_ValueChanged;
        }
        
        void RangeNavigator_ValueChanged(object sender, EventArgs e)
        {
            datagrid.ItemsSource = (sender as SfDateTimeRangeNavigator).SelectedData;
        }
    }

    public class ViewModel
    {
        public ViewModel()
        {
            this.dataValue = new ObservableCollection<DataValues>();
            DateTime _date = new DateTime(2012, 1, 1);
            Random random = new Random();
         
            for (int i = 0; i < 365; i++)
            {
                dataValue.Add(new DataValues(_date.AddDays(i), random.Next(20, 50), random.Next(15,40)));
            }
        }

        public ObservableCollection<DataValues> dataValue { get; set; }
    }

    public class DataValues
    {
        public DateTime Date { get; set; }

        public double Count { get; set; }

        public double Target { get; set; }

        public DataValues(DateTime date, double count, double target)
        {
            Date = date;
            Count = count;
            Target = target;
        }
    }
}
